package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.AddressDevice;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface AddressDeviceService {
	AddressDevice get(String id);
	boolean exist(String id);
	int insert(AddressDevice model);
	int update(AddressDevice model);
	int delete(String id);
	List<AddressDevice> list();
	AddressDevice findByDeviceIdAndAddressId(String deviceId,String addressId);
	Page<AddressDevice> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}